Register a new user by phone

Register a new user with a phone number.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

Registration model specifically for phone-based registration.

passwordstring · min: 1Required

The password that the user is registering with.

firstNamestring · nullableOptional

The first name of the user.

lastNamestring · nullableOptional

The last name of the user.

nickNamestring · nullableOptional

The nickname of the user.

referralCodestring · nullableOptional

The invitation code that the user is using to register.

phoneNumberstring · min: 1Required

The phone number that the user is registering with.
Required and expected to be in E.164 format (e.g., +12345678900).

Responses
post
/api/v1/users/register/phone-number

Last updated